Skip to main content

List databases for a given datastore Id

Get a list of databases, optionally filtered by the datastore it belongs to. Supports cursor-based pagination using limit, before, and after query parameters.

Query Parameters
datastoreId string

Filter databases by datastore. Provide the fully qualified name of the datastore.

Example: BigQuery.orbital-poc-9

limit int32

Possible values: 1 ≤ value ≤ 1000

Limit the number of databases returned. (1 to 1000, default = 100)

Example: 100

before string

Returns list of databases before this cursor for reverse pagination.

Example: eyJpZCI6IjEyMyJ9

after string

Returns list of databases after this cursor for forward pagination.

Example: eyJpZCI6IjQ1NiJ9

Responses
200

List of databases returned successfully.

Schema — OPTIONAL
data object[]
id string
name string
displayName string — OPTIONAL
datastoreId string
description string — OPTIONAL
location string — OPTIONAL
config object — OPTIONAL
json string — OPTIONAL
version string — OPTIONAL
active boolean — OPTIONAL
assetCreatedDate date-time — OPTIONAL
assetUpdatedDate date-time — OPTIONAL
createdTime int64 — OPTIONAL
updatedTime int64 — OPTIONAL
createdBy string — OPTIONAL
updatedBy string — OPTIONAL
owner string — OPTIONAL
tags string[] — OPTIONAL
paging object — OPTIONAL
before string — OPTIONAL
after string — OPTIONAL
total int32
400

Invalid request parameters.

401

Unauthorized access.

500

Internal server error.